package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;

public class Tag71ACreator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag71ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag71AValue = mt103RemitCreator.getDetailsOfCharges();
        mt103RemitCreator.set("71A", tag71AValue);
    }
}
